[
    {
        "ingredientPattern": "BK",
        "shapeless": true,
        "ingredients": {
            "B": {
                "type": "item",
                "code": "game:knife-*",
		"toolDurabilityCost": 2,
                "isTool": true
            },
            "K": {
                "type": "block",
                "code": "game:*thatch-east-free",
		"skipVariants": ["slantedroofingridgeend-", "slantedroofingridgehalfright-", "slantedroofingridgehalfleft-", "slantedroofingcornerinner-", "slantedroofingcornerouter-", "slantedroofingridgeend-aged", "slantedroofingridgehalfright-aged", "slantedroofingridgehalfleft-aged", "slantedroofingcornerinner-aged", "slantedroofingcornerouter-aged"],
                "quantity": 1
            }
        },
	recipeGroup: 1,
        "width": 2,
        "height": 1,
        "output": {
            "type": "item",
            "code": "game:thatch",
            "quantity": 2
        }
    },
    {
        "ingredientPattern": "BK",
        "shapeless": true,
        "ingredients": {
            "B": {
                "type": "item",
                "code": "game:knife-*",
		"toolDurabilityCost": 3,
                "isTool": true
            },
            "K": {
                "type": "block",
                "code": "game:*thatch-east-free",
		"allowedVariants": ["slantedroofingridgeend-", "slantedroofingridgehalfright-", "slantedroofingridgehalfleft-", "slantedroofingcornerinner-", "slantedroofingcornerouter-", "slantedroofingridgeend-aged", "slantedroofingridgehalfright-aged", "slantedroofingridgehalfleft-aged", "slantedroofingcornerinner-aged", "slantedroofingcornerouter-aged"],
                "quantity": 1
            }
        },
	recipeGroup: 1,
        "width": 2,
        "height": 1,
        "output": {
            "type": "item",
            "code": "game:thatch",
            "quantity": 3
        }
    }
]